SDK 升级注意事项

升级谷歌浏览器版本到 93 以上,使用 RTCLib 3.X 版本音视频通话出现 plan-b 字样报错
发布时间: 2022-01-11 15:22

回答:

原因:

由于谷歌官方决定自 Chrome 93 版本开始不再支持 plan-b 协议


报错信息:

浏览器会出现错误提示:Failed to construct 'RTCPeerConnection': Plan B SDP semantics is a legacy version of the Session Description Protocol that has severe compatibility issues on modern browsers and is no longer supported


解决方案:

因此 RTCLib v3 即将停止维护,请所有 RTCLib v3 及 CallLib 用户尽快迁移至 RCRTCAdapter 桥接版本,迁移方案请查看【产品概述 - 升级说明】章节。 目前所有 RTCLib v3 相关集成文档内容已更新为 RCRTCAdapter 集成文档,新集成用户请优先使用 RTCLib v5.0 并查看相应版本文档

RCRTCAdapter 是融云为所有 RTCLib v3 用户提供的迁移方案,以便于用户最小化改动的情况下可以直接升级至 RTCLib v5

音视频通话场景升级说明:https://doc.rongcloud.cn/call/Web/3.X/intro/upgrade-notes/web

音视频会议场景说明:https://doc.rongcloud.cn/meeting/Web/3.X/intro/upgrade-notes/web

低延迟直播场景升级说明:https://doc.rongcloud.cn/live/Web/3.X/intro/upgrade-notes/web